%define upstream_name    Clone
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary: 	Recursively copy Perl datatypes
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url: 		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/R/RD/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types, 
including tied variables and objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*


%changelog
* Sat Jun 11 2011 sander85 <sander85> 0.310.0-6.mga2
+ Revision: 103667
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.310.0-5.mga1
+ Revision: 22663
- rebuild with perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 0.310.0-4.mga1
+ Revision: 2134
- imported package perl-Clone

